Neidio i'r cynnwys

ElevenLabs Voice Changer

Integreiddio

ID y model elevenlabs/voice-changer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/voice-changer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ffeiliau fel yr enghraifft: $0.30 300 o gredydau API caiff eich ffeiliau eu mesur cyn y rhediad Ei redeg ar y dudalen hon

Cael allwedd API
ElevenLabs Sain #voice-change#audio-to-audio

Yn trosi’r llais mewn recordiad presennol i lais a ddewiswyd, gyda thynnu sŵn cefndir dewisol

ElevenLabs · Sain

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol audio_url
Gollyngwch ffeil, neu

Ffeil sain a ddarperir fel mewnbwn.

Uwch voice · output_format · seed · remove_background_noise
rhagosodedig Rachel

Llais a ddewisir ar gyfer syntheseiddio lleferydd.

rhagosodedig mp3_44100_128

Fformat sain a gynhyrchir, wedi'i bennu gan ddefnyddio'r patrwm codec_sample_rate_bitrate.

Hadau sy'n rheoli haprwydd er mwyn atgynhyrchu canlyniadau.

POST /run/elevenlabs/voice-changer?wait=20 dyfynbris → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/voice-changer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â ElevenLabs Voice Changer

Yn ail-lefaru recordiad sain mewn llais arall. Darparwch `audio_url` a dewiswch darged gyda `voice` (rhagosodedig Rachel). Mae gosod `remove_background_noise` yn glanhau’r mewnbwn yn gyntaf, mae `seed` yn helpu atgynyrchiadwyedd, ac mae `output_format` yn dewis y codec, cyfradd samplu a chyfradd didau. Yn dychwelyd y sain wedi’i throsi a’r had.

Paramedrau

Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd

EnwMath RhagosodedigCaniateir Disgrifiad
audio_urlgofynnol audio
Mathurl · audio
Ffeil sain a ddarperir fel mewnbwn.
voicedewisol
Mathstring
RhagosodedigRachel
Llais a ddewisir ar gyfer syntheseiddio lleferydd.
remove_background_noisedewisol
Mathboolean
Rhagosodedigfalse
Galluogi tynnu sŵn cefndir o'r sain a ddarperir drwy fodel ynysu sain.
seeddewisol
Mathinteger
Hadau sy'n rheoli haprwydd er mwyn atgynhyrchu canlyniadau.
output_formatdewisol
Mathenum
Rhagosodedigmp3_44100_128
mp3_22050_32mp3_44100_32mp3_44100_64mp3_44100_96mp3_44100_128mp3_44100_192pcm_8000pcm_16000pcm_22050pcm_24000pcm_44100pcm_48000ulaw_8000alaw_8000opus_48000_32opus_48000_64
+3 yn rhagoropus_48000_96opus_48000_128opus_48000_192
Fformat sain a gynhyrchir, wedi'i bennu gan ddefnyddio'r patrwm codec_sample_rate_bitrate.
gofynnol Enw canonaidd, derbyniol hefyd

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/voice-changer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
audio
object {url, content_type, file_name, file_size}Ffeil sain a gynhyrchir drwy gynhyrchu.
seed
integerHadau sy'n rheoli haprwydd er mwyn atgynhyrchu canlyniadau.

Mwy o fodelau: Sain

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/elevenlabs/voice-changer.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt